%define		snap	041111
%define		rel	6
Summary:	C API for reading and writing PCRaster maps
Summary(pl.UTF-8):	API C do odczytu i zapisu map PCRaster
Name:		libcsf
Version:	2.0
Release:	0.%{snap}.%{rel}
License:	BSD
Group:		Libraries
#Source0Download: http://pcraster.geog.uu.nl/csfapi.html
Source0:	http://pcraster.geo.uu.nl/download/dist/%{name}-%{version}-%{snap}.tar.gz
# Source0-md5:	20f60a66ef1df2500fc44c5e8371e26f
Source1:	http://pcraster.geo.uu.nl/download/doc/csfhtml.tar.gz
# Source1-md5:	059ac4a78e04df515e9f9cb411d1eb33
Patch0:		%{name}-shared.patch
Patch1:		%{name}-endian.patch
URL:		http://pcraster.geog.uu.nl/csfapi.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C API for reading and writing PCRaster maps.

%description -l pl.UTF-8
API C do odczytu i zapisu map PCRaster.

%package devel
Summary:	Header files for CSF library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki CSF
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for CSF library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki CSF.

%package static
Summary:	Static CSF library
Summary(pl.UTF-8):	Statyczna biblioteka CSF
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static CSF library.

%description static -l pl.UTF-8
Statyczna biblioteka CSF.

%prep
%setup -q -n %{name}-%{version}-%{snap} -a1
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install src/csf/csfimpl.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README
%attr(755,root,root) %{_libdir}/libcsf.so.*.*.*
%ghost %{_libdir}/libcsf.so.0

%files devel
%defattr(644,root,root,755)
%doc csfhtml/*
%attr(755,root,root) %{_libdir}/libcsf.so
%{_libdir}/libcsf.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libcsf.a
%changelog
* Sun Dec 06 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libcsf.git;a=log;h=master

* Sun Dec 06 2015 Jan Rękorajski <baggins@pld-linux.org> 05cc4ba
- package header required by gdal 2.0.1
- rel 6

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 9857b2a
- x32 rebuild
- release 5 (by relup.sh)

* Mon Feb 14 2011 Elan Ruusamäe <glen@pld-linux.org> 9a959b0
- release 4

* Thu Feb 03 2011 Elan Ruusamäe <glen@pld-linux.org> 007c404
- rebuild for utf8

* Wed Jun 04 2008 Jakub Bogusz <qboosh@pld-linux.org> d99d933
- noted Download URL

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> fcd3301
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2f11285
- converted to UTF-8

* Sun Nov 27 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 33816eb
- fix endian detection; rel .2

* Sun Nov 27 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 1dced87
- new; endian fixes

* Sat Sep 03 2005 Jakub Bogusz <qboosh@pld-linux.org> b9e2281
- new

* Sat Sep 03 2005 Jakub Bogusz <qboosh@pld-linux.org> 1bb6b1e
- build shared library

